com.amazonaws.services.machinelearning.model

## Class RDSDatabaseCredentials

- java.lang.Object
- - com.amazonaws.services.machinelearning.model.RDSDatabaseCredentials

All Implemented Interfaces:
  Serializable, Cloneable

    public class RDSDatabaseCredentials
    extends Object
    implements Serializable, Cloneable

The database credentials to connect to a database on an RDS DB instance.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RDSDatabaseCredentials()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RDSDatabaseCredentials` `clone()`
`boolean` `equals(Object obj)`
`String` `getPassword()`
`String` `getUsername()`
`int` `hashCode()`
`void` `setPassword(String password)`
`void` `setUsername(String username)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RDSDatabaseCredentials` `withPassword(String password)`
`RDSDatabaseCredentials` `withUsername(String username)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RDSDatabaseCredentials

    public RDSDatabaseCredentials()

### Method Detail

#### setUsername

    public void setUsername(String username)

Parameters:
  `username` -

#### getUsername

    public String getUsername()

Returns:

#### withUsername

    public RDSDatabaseCredentials withUsername(String username)

Parameters:
  `username` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPassword

    public void setPassword(String password)

Parameters:
  `password` -

#### getPassword

    public String getPassword()

Returns:

#### withPassword

    public RDSDatabaseCredentials withPassword(String password)

Parameters:
  `password` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RDSDatabaseCredentials clone()

Overrides:
  `clone` in class `Object`